Loading...
Searching...
No Matches
BALL::VIEW::UndoManagerDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/undoManagerDialog.h>`

Inheritance diagram for BALL::VIEW::UndoManagerDialog:

## Public Slots

void | show ()
| Show and raise dialog.
void | close_pressed ()
void | resetTo_pressed ()
void | takeSnapshot_pressed ()

## Public Member Functions

| UndoManagerDialog (QWidget *parent=0, const char *name="UndoManagerDialog", Qt::WindowFlags fl=0)
| Constructor.
| ~UndoManagerDialog ()
| Destructor.
virtual void | initializeWidget (MainControl &main_control)
virtual void | checkMenu (MainControl &main_control)
virtual void | onNotify (Message *message)
| Overrides message in order to intercept system changed events.
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual bool | isValid () const

## Protected Attributes

QAction * | action_
SnapshotManagerInterface | snapshot_interface_
bool | first_run
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

Dialog for managing snapshots

Definition at line 31 of file undoManagerDialog.h.

## Constructor & Destructor Documentation

## UndoManagerDialog()

BALL::VIEW::UndoManagerDialog::UndoManagerDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "UndoManagerDialog",
|  | Qt::WindowFlags | fl = 0 )

Constructor.

## ~UndoManagerDialog()

BALL::VIEW::UndoManagerDialog::~UndoManagerDialog | ( |  | ) |

inline

Destructor.

Definition at line 46 of file undoManagerDialog.h.

## Member Function Documentation

## checkMenu()

virtual void BALL::VIEW::UndoManagerDialog::checkMenu | ( | MainControl & | main_control | ) |

virtual

Menu checking method. This method is called MainControl::checkMenus before a popup menu is shown. It should be used to update the state of menu entries (e.g. disable or enable entries).

Parameters

  main_control | the MainControl object whose menus should be checked

Reimplemented from BALL::VIEW::ModularWidget.

## close_pressed

void BALL::VIEW::UndoManagerDialog::close_pressed | ( |  | ) |

slot

## initializeWidget()

virtual void BALL::VIEW::UndoManagerDialog::initializeWidget | ( | MainControl & | main_control | ) |

virtual

Initialize the widget. This method is called automatically immediately before the main application is started. It should add the widget's menu entries and connections (if required). This method will be called by MainControl::show.

Parameters

  main_control | the MainControl object to be initialized with this ModularWidget

See also
  finalizeWidget()

Reimplemented from BALL::VIEW::ModularWidget.

## onNotify()

virtual void BALL::VIEW::UndoManagerDialog::onNotify | ( | Message * | message | ) |

virtual

Overrides message in order to intercept system changed events.

Reimplemented from BALL::VIEW::ConnectionObject.

## resetTo_pressed

void BALL::VIEW::UndoManagerDialog::resetTo_pressed | ( |  | ) |

slot

## show

void BALL::VIEW::UndoManagerDialog::show | ( |  | ) |

slot

Show and raise dialog.

## takeSnapshot_pressed

void BALL::VIEW::UndoManagerDialog::takeSnapshot_pressed | ( |  | ) |

slot

## Member Data Documentation

## action_

QAction* BALL::VIEW::UndoManagerDialog::action_

protected

Definition at line 73 of file undoManagerDialog.h.

## first_run

bool BALL::VIEW::UndoManagerDialog::first_run

protected

Definition at line 76 of file undoManagerDialog.h.

## snapshot_interface_

SnapshotManagerInterface BALL::VIEW::UndoManagerDialog::snapshot_interface_

protected

Definition at line 74 of file undoManagerDialog.h.